// $Id: StartupExample.hh,v 1.5 2002/04/29 20:09:50 zweck Exp $

//###################################################################
//
//           Optical Communication Systems Simulator
//
//       Copyright (2000):
//       Optical Fiber Communications Laboratory (OFCL)
//       Computer Science & Electrical Engineering Department (CSEE)
//       University of Maryland Baltimore County (UMBC)
//
//###################################################################


#ifndef _STARTUP_EXAMPLE_HH_
#define _STARTUP_EXAMPLE_HH_


// #include "ocsProcessControl.hh"

#ifndef _OCS_SYSTEM_HDRS_
#define _OCS_SYSTEM_HDRS_

#include <iostream.h>
#include <string.h>
#include <math.h> 
#include <fstream.h>
#include <complex.h>
#include <stdlib.h>
#include <stdio.h>
#include <strstream>

#include <string>
  using namespace std;


#endif /* _OCS_SYSTEM_HDRS_ */

#include "ocsConst.hh"
#include "ocsTools.hh"
#include "ocsReadWriteTools.hh"
#include "ocsRanNumGen.hh"

class StartupExample
{

public:

  StartupExample(string InFileName, int argc, char *argv[]);

  string GetJobDir() { return JobDir;};
  string GetJobName() {return JobName;};
  string GetJobPrefix() {return JobPrefix;};

  int GetSimulationType() {return SimulationType;};
  int GetNumMonteCarloExpts() {return NumMonteCarloExpts;};
  int GetNumMapSpans() {return NumMapSpans;};

  int GetBeta3ZeroFlag() {return Beta3ZeroFlag;};
  int GetNonLinearityZeroFlag() {return NonLinearityZeroFlag;};
  int GetFiberLossZeroFlag() {return FiberLossZeroFlag;};
  int GetTypeAmp() {return TypeAmp;}; 
  int GetAmpsNoiseOffFlag() {return AmpsNoiseOffFlag;}; 

  double GetRelativeErrorGoal() {return RelativeErrorGoal;};

  int GetOutputStepSizesFlag() {return OutputStepSizesFlag;};

  int GetDebugLevelAmps() {return DebugLevelAmps;};

  int GetTypeStepSizes() { return TypeStepSizes;};

  double GetWalkOffParameter() { return WalkOffParameter;};

  
private:

  string JobDir;
  string JobName;
  string JobPrefix;
  string LogFileName;

  int SimulationType;
  int NumMonteCarloExpts;
  int NumMapSpans;


double RelativeErrorGoal;
double WalkOffParameter;

int TypeStepSizes;

  // Flags

int Beta3ZeroFlag;
int NonLinearityZeroFlag;
int FiberLossZeroFlag;	
int TypeAmp;
int AmpsNoiseOffFlag;

int OutputStepSizesFlag;



int DebugLevelAmps;

};

#endif /* _STARTUP_EXAMPLE_HH_ */
